Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1194551 - Arduino 1.6.5 is available
Summary: Arduino 1.6.5 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: arduino
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Chen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1164497 1281605 1291653 (view as bug list)
Depends On: 1277505
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-20 07:34 UTC by Brallan Jesús Aguilar Rivera
Modified: 2016-01-07 10:23 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-07 10:23:29 UTC
Type: Bug


Attachments (Terms of Use)

Description Brallan Jesús Aguilar Rivera 2015-02-20 07:34:54 UTC
There is a new stable version of Arduino IDE.

http://blog.arduino.cc/2015/02/09/arduino-ide-1-6-is-released-download-it-now/

Comment 1 Tomáš Hozza 2015-02-20 07:57:11 UTC
*** Bug 1164497 has been marked as a duplicate of this bug. ***

Comment 2 Michal Ambroz 2015-02-22 21:54:28 UTC
Issue applicable to rawhide, 22, 21.
BTW there is also 1.0.6

Comment 3 Tomáš Hozza 2015-02-23 21:50:44 UTC
OK, so I spent a "nice" evening trying to build the latest arduino without bundled libraries.

Good news is that most of the patches and fixes have been merged and can be removed.

Bad news is that some of the required libraries seems to be not packaged in Fedora, like JSSC.

I'm giving up the update in Fedora since it is too much work for too little benefit.

Comment 4 Orion Poplawski 2015-02-23 21:54:13 UTC
Tomas - would you be willing to post your results as to have them somewhere?  Perhaps push a branch in git?

Comment 5 Tomáš Hozza 2015-02-24 08:26:07 UTC
(In reply to Orion Poplawski from comment #4)
> Tomas - would you be willing to post your results as to have them somewhere?
> Perhaps push a branch in git?

Yes I can. However the rebase is not ready, since I was not able to build the IDE, so %install section does not contain changes reflecting changes in the 1.6.0 upstream source archive structure. Anyway if you solve the building, this should be trivial.

Comment 6 q2dg 2015-02-26 14:51:23 UTC
Maybe this issue title can be modified to say: "Need of packaging JSSC"? 
It seems a previous stage

Comment 7 Tomáš Hozza 2015-02-27 08:30:21 UTC
(In reply to q2dg from comment #6)
> Maybe this issue title can be modified to say: "Need of packaging JSSC"? 
> It seems a previous stage

Well to be correct, the JSSC needs to be packaged, package review submitted and then the review bug should block this bug...

Comment 8 Fabian Affolter 2015-04-28 13:11:23 UTC
The latest release is 1.6.3

Comment 9 Fabian Affolter 2015-06-17 20:26:28 UTC
The latest release is 1.6.5

Comment 10 Jan Kurik 2015-07-15 14:31:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 11 andrew 2015-10-08 04:56:46 UTC
Gents,
 do i read this right - the 1.6.5 is not in rawhide, but in F23 ?

Comment 12 Tomáš Hozza 2015-10-08 07:29:03 UTC
(In reply to andrew from comment #11)
> Gents,
>  do i read this right - the 1.6.5 is not in rawhide, but in F23 ?

no, there is no newer version than 1.0.6 anywhere [1]...

[1] http://koji.fedoraproject.org/koji/packageinfo?packageID=10939

Comment 13 Damian Wrobel 2015-11-03 13:40:04 UTC
(In reply to Tomas Hozza from comment #7)
> (In reply to q2dg from comment #6)
> > Maybe this issue title can be modified to say: "Need of packaging JSSC"? 
> > It seems a previous stage
> 
> Well to be correct, the JSSC needs to be packaged, package review submitted
> and then the review bug should block this bug...

Tomas,
Is JSSC the only package you've identified which blocks arduino from updating?

Comment 14 Peter Oliver 2015-11-12 22:36:02 UTC
*** Bug 1281605 has been marked as a duplicate of this bug. ***

Comment 15 Fedora Admin XMLRPC Client 2015-11-19 20:59:55 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 16 Fedora Admin XMLRPC Client 2015-11-23 18:01:00 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 17 Andrew Haveland-Robinson 2015-12-08 00:38:29 UTC
Any progress on this?
I want to program a digispark, and only the latest arduino-ide supports it.
Version 1.0.6 is ancient!

Comment 18 Dennis Chen 2015-12-20 20:45:16 UTC
*** Bug 1291653 has been marked as a duplicate of this bug. ***

Comment 19 Dennis Chen 2015-12-20 20:51:10 UTC
Version 1.6.5 and greater of Arduino IDE will definitely not be distributed with current versions of Fedora. 1.6.5+ has a dependency on rsyntaxarea is not currently distributed with Fedora. I am working on writing the package for it, but it will only be distributed with F24+. rsyntaxarea uses the Gradle build system which is only available to use for rpm packaging in rawhide right now.

Comment 20 Fedora Update System 2015-12-25 21:23:11 UTC
arduino-1.6.4-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f52087759e

Comment 21 Fedora Update System 2015-12-29 00:56:08 UTC
arduino-1.6.4-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f52087759e

Comment 22 Netbulae 2015-12-30 15:36:08 UTC
Thanks for the update! 

But I'm getting:

Error: Could not find or load main class processing.app.Base

I tried:

java version "1.8.0_65"
Java(TM) SE Runtime Environment (build 1.8.0_65-b17)
Java HotSpot(TM) 64-Bit Server VM (build 25.65-b01, mixed mode)

and:

openjdk version "1.8.0_65"
OpenJDK Runtime Environment (build 1.8.0_65-b17)
OpenJDK 64-Bit Server VM (build 25.65-b01, mixed mode)

Comment 23 andrew 2015-12-30 17:00:53 UTC
Gents,
 i don't want to be a party popper, but dont you think that porting 1.6.5 is a bit too late? They already have 1.7.8 out there for a while - http://download.arduino.org/IDE/1.7.8/arduino-1.7.8.org-linux64.tar.xz

Unless 1.6.x and 1.7.x have the same dependences and it will be a breeze to move from 1.6.5. to current ...

Comment 24 q2dg 2015-12-30 22:42:10 UTC
NOOOO!!!!

1.6.X are from Arduino.cc (the good guys).
1.7.X are from Arduino.org (the bad guys).

See https://www.google.es/search?q=arduino+vs+arduino&ie=utf-8&oe=utf-8&gws_rd=cr&ei=lV2EVq_8Dsu4aa7Mv9gP

Comment 25 andrew 2015-12-31 00:05:50 UTC
ohhh... yes, yes you are right. please ignore my silly comment.
i completely forgot about that .CC vs .ORG division.
1.6.5 is the right one.

Comment 26 Fedora Update System 2015-12-31 08:15:02 UTC
arduino-1.6.4-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f7e72969b8

Comment 27 Fedora Update System 2016-01-03 03:23:49 UTC
arduino-1.6.4-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f7e72969b8

Comment 28 Netbulae 2016-01-04 09:32:10 UTC
Updated to this version but it's missing the package json:

Loading configuration...
Initializing packages...
java.io.FileNotFoundException: /usr/share/arduino/dist/package_index.json (No such file or directory)
	at java.io.FileInputStream.open0(Native Method)
	at java.io.FileInputStream.open(FileInputStream.java:195)
	at java.io.FileInputStream.<init>(FileInputStream.java:138)
	at processing.app.helpers.FileUtils.copyFile(FileUtils.java:44)
	at processing.app.BaseNoGui.initPackages(BaseNoGui.java:578)
	at processing.app.Base.<init>(Base.java:266)
	at processing.app.Base.guardedMain(Base.java:210)
	at processing.app.Base.main(Base.java:123)

Comment 29 Netbulae 2016-01-04 09:33:05 UTC
Updated to this version but it's missing the package json:

Loading configuration...
Initializing packages...
java.io.FileNotFoundException: /usr/share/arduino/dist/package_index.json (No such file or directory)
	at java.io.FileInputStream.open0(Native Method)
	at java.io.FileInputStream.open(FileInputStream.java:195)
	at java.io.FileInputStream.<init>(FileInputStream.java:138)
	at processing.app.helpers.FileUtils.copyFile(FileUtils.java:44)
	at processing.app.BaseNoGui.initPackages(BaseNoGui.java:578)
	at processing.app.Base.<init>(Base.java:266)
	at processing.app.Base.guardedMain(Base.java:210)
	at processing.app.Base.main(Base.java:123)


Note You need to log in before you can comment on or make changes to this bug.